require 'test_helper'

class SessionsControllerTest < ActionController::TestCase
  fixtures :all
  def setup
    @user = users(:me)
    @request.env["HTTP_REFERER"] = 'subjects'
  end
  
  def teardown
    @user = nil
  end

  test "login" do
    assert_nil session[:user]
    post :create, { :username => 'oweyoa', :password => 'titok' }
    assert_response :redirect
    assert_equal session[:user], @user.id
  end

  test "logout" do
    get :destroy, nil, { :user => @user.id}
    assert_response :redirect
    assert_nil session[:user]
  end

end
